Openvpn fais semblant de demarrer, aide svp

[Résolu/Fermé]
Signaler
Messages postés
108
Date d'inscription
mercredi 15 décembre 2004
Statut
Membre
Dernière intervention
17 juillet 2008
-
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
-
Bonjour,

J'in installer un serveur openvpn sur linux debian. Le problème c'est que quand je lance /etc/init.d/openvpn , il me met que openvpn a demarrer mais en fait c'est faut. Quand je fais un px as |grep openvpn, j'ai rien. Et par consequent le client vpn n'arrive pas a se connecter

Ce que j'ai fais maintenant et ça demarrer c'est /sbin/openvpn --config /etc/openvpn/openvpn.conf

Mais avec ça, j'ai pas un demarrage automatique. Comment pourrais-je faire svp?

Merci d'avance.

7 réponses

Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 545
Salut,

Crée un fichier /etc/init.d/openvpn et dédans écrit le script (voir plus bas) ensuite fait un
chmod -v 0700 /etc/init.d/openvpn  
et aussi
update-rc.d openvpn start 99 2 3 4 5 .

Voilà le script de démarrage
#!/bin/bash

case $1 in
'start' )
     /sbin/openvpn --config /etc/openvpn/openvpn.conf 
     ;;
'stop' )
     pkill openvpn 
     ;;
'*' )
     echo "usage : /etc/init.d/openvpn  {start|stop}"
     ;;
esac 
Maintenant tu peux lancer avec /etc/init.d/openvpn start.
En plus à chaque démarrage le service sera lancé.

lami20j
Messages postés
108
Date d'inscription
mercredi 15 décembre 2004
Statut
Membre
Dernière intervention
17 juillet 2008
12
Merci pour la reponse. En fait j'ai dejà un fichier dans /etc/init.d/openvpn, je vous met ça si joint. C'est un peu plus complete et apparemment il permet au vpn de redemarrer automatiquement s'il arrivait qu'il s'arrête.

Pourriez-vous geter un coup d'oiel et voir ce qui ne va pas. C'est le système même qui l'a installer lors de l'install de openvpn.

Merci d'avance. J'attend votre reponse.

#!/bin/sh -e
#
# Original version by Robert Leslie
# <rob@mars.org>, edited by iwj and cs
# Modified for openvpn by Alberto Gonzalez Iniesta <agi@inittab.org>
# Modified for restarting / starting / stopping single tunnels by Richard Mueller <mueller@teamix.net>

test $DEBIAN_SCRIPT_DEBUG && set -v -x

DAEMON=/usr/sbin/openvpn
DESC="virtual private network daemon"
CONFIG_DIR=/etc/openvpn
test -x $DAEMON || exit 0
test -d $CONFIG_DIR || exit 0

# Source defaults file; edit that file to configure this script.
AUTOSTART="all"
STATUSREFRESH=10
if test -e /etc/default/openvpn ; then
. /etc/default/openvpn
fi

start_vpn () {
if grep -q '^[ ]*daemon' $CONFIG_DIR/$NAME.conf ; then
# daemon already given in config file
DAEMONARG=
else
# need to daemonize
DAEMONARG="--daemon ovpn-$NAME"
fi

if grep -q '^[ ]*status ' $CONFIG_DIR/$NAME.conf ; then
# status file already given in config file
STATUSARG=""
elif test $STATUSREFRESH -eq 0 ; then
# default status file disabled in /etc/default/openvpn
STATUSARG=""
else
# prepare default status file
STATUSARG="--status /var/run/openvpn.$NAME.status $STATUSREFRESH"
fi

$DAEMON --writepid /var/run/openvpn.$NAME.pid \
$DAEMONARG $STATUSARG --cd $CONFIG_DIR \
--config $CONFIG_DIR/$NAME.conf || echo -n " FAILED->"
echo -n " $NAME"
}
stop_vpn () {
kill `cat $PIDFILE` || true
rm $PIDFILE
[ -e /var/run/openvpn.$NAME.status ] \
&& rm /var/run/openvpn.$NAME.status
}

case "$1" in
start)
echo -n "Starting $DESC:"

# autostart VPNs
if test -z "$2" ; then
# check if automatic startup is disabled by AUTOSTART=none
if test "x$AUTOSTART" = "xnone" -o -z "$AUTOSTART" ; then
echo " Autostart disabled."
exit 0
fi
if test -z "$AUTOSTART" -o "x$AUTOSTART" = "xall" ; then
# all VPNs shall be started automatically
for CONFIG in `cd $CONFIG_DIR; ls *.conf 2> /dev/null`; do
NAME=${CONFIG%%.conf}
start_vpn
done
else
# start only specified VPNs
for NAME in $AUTOSTART ; do
if test -e $CONFIG_DIR/$NAME.conf ; then
start_vpn
else
echo -n " (failure: No such VPN: $NAME)"
fi
done
fi
#start VPNs from command line
else
while shift ; do
[ -z "$1" ] && break
if test -e $CONFIG_DIR/$1.conf ; then
NAME=$1
start_vpn
else
echo -n " (failure: No such VPN: $1)"
fi
done
fi
echo "."

;;
stop)
echo -n "Stopping $DESC:"

if test -z "$2" ; then
for PIDFILE in `ls /var/run/openvpn.*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c18-`
NAME=${NAME%%.pid}
stop_vpn
echo -n " $NAME"
done
else
while shift ; do
[ -z "$1" ] && break
if test -e /var/run/openvpn.$1.pid ; then
PIDFILE=`ls /var/run/openvpn.$1.pid 2> /dev/null`
NAME=`echo $PIDFILE | cut -c18-`
NAME=${NAME%%.pid}
stop_vpn
echo -n " $NAME"
else
echo -n " (failure: No such VPN is running: $1)"
fi
done
fi
echo "."
;;
# We only 'reload' for running VPNs. New ones will only start with 'start' or 'restart'.
reload|force-reload)
echo -n "Reloading $DESC:"
for PIDFILE in `ls /var/run/openvpn.*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c18-`
NAME=${NAME%%.pid}
# If openvpn if running under a different user than root we'll need to restart
if egrep '^( |\t)*user' $CONFIG_DIR/$NAME.conf > /dev/null 2>&1 ; then
stop_vpn
sleep 1
start_vpn
echo -n "(restarted)"
else
kill -HUP `cat $PIDFILE` || true
echo -n " $NAME"
fi
done
echo "."
;;

restart)
shift
$0 stop ${@}
sleep 1
$0 start ${@}
;;
cond-restart)
echo -n "Restarting $DESC:"
for PIDFILE in `ls /var/run/openvpn.*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c18-`
NAME=${NAME%%.pid}
stop_vpn
sleep 1
start_vpn
done
echo "."
;;
*)
echo "Usage: $0 {start|stop|reload|restart|force-reload|cond-restart}" >&2
exit 1
;;
esac

exit 0
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 545
Re,

affiche le résultat de la commande whereis openvpn
merci

lami20j
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 545
Re,

je vois que tu lances openvpn avec la commande

/sbin/openvpn --config /etc/openvpn/openvpn.conf


et tu dis que ça marche.

Dans le script d'origine je vois que openvpn est chercher dans /usr/sbin
DAEMON=/usr/sbin/openvpn 
Ecrit DAEMON=/sbin/openvpn et essaie de lancer le service

lami20j

P.S. C'est un peu plus complete

Bien sûr qu'il est plus complète ;)
Messages postés
108
Date d'inscription
mercredi 15 décembre 2004
Statut
Membre
Dernière intervention
17 juillet 2008
12
Salut lami20j,

C'est en ecrivant que je me suis tromper sinon je demarre bien le deamon dans /usr/sbin/openvpn. Ce n'est donc pas une erreur.

Je crois qu'il y a quelque chose qui tu le processus dans qu'il demarre, comment pourrais-je faire pour savoir? J'ai pas un fichier de log pour openvpn.

Encore Merci.
Messages postés
108
Date d'inscription
mercredi 15 décembre 2004
Statut
Membre
Dernière intervention
17 juillet 2008
12
Merci Lami20j,

J'ai mis en place ton script et ça marche. Mais il y quelque problème avec le demarrage automatique qu'il faudrait revoir un peu parce que quand j'ai fais comme tu as dis, et après j'ai redemarrer l'ordi, elle se plente au demarrage.

Problème, le vpn demarre vite avant même qu'il ai les information necessaire pour se connecter.

Merci.
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 545
Salut,

d'accord.

En ce cas j'ai besoin de plus d'info.

Les messges d'erreurs, les informations qu'il a besoin, etc.

Merci.

lami20j